package org.project.entity;

public interface Entity
{
    void attack(Entity target);

    void defend();

    void heal();

    boolean isAlive();

    void takeDamage(int damage);

    void specialAbility(Entity target);
}
